<?php

/*
  Created on : Mayo 26, 2019, 01:14:34 PM
  Author     : Gabriel Hernandez Gonzalez
 */
 
	require_once "../core/core_classes.php";
	require_once "../config.php";

	switch (filter_input(INPUT_POST, 'tipoOperacion')) {
	
		case 'consultar':

			$pIdEmpresa = 1;
			$pFechaInicio = filter_input(INPUT_POST, 'pFechaInicio');
			$pFechaFin = filter_input(INPUT_POST, 'pFechaFin');
			$pTipoSistema = filter_input(INPUT_POST, 'pTipoSistema');
			$pTipoFactura = filter_input(INPUT_POST, 'pTipoFactura');
			$pRFCReceptor = filter_input(INPUT_POST, 'pRFCReceptor');
		
			// get settings
			$stmt = $conn->prepare("call emision_facturas_consultas($pIdEmpresa,$pTipoSistema,'$pTipoFactura','$pRFCReceptor','$pFechaInicio','$pFechaFin')");
			$stmt->execute();

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_facturas();
				$respuesta->folioFactura = $row["FolioFactura"];
				$respuesta->folio = $row["Folio"];
				$respuesta->serie = $row["Serie"];
				$respuesta->uuid = $row["UUID"];
				$respuesta->rfcReceptor = $row["RFC_Receptor"];
				$respuesta->receptor = $row["Razon_Social_Receptor"];
				$respuesta->fechaEmision = $row["FechaEmision"];
				$respuesta->subtotal = $row["Subtotal"];
				$respuesta->descuento = $row["Descuento"];
				$respuesta->iva = $row["IVA"];
				$respuesta->total = $row["Total"];
				$respuesta->cancelado = $row["Cancelado"];
				$respuesta->fechaCancelacion = $row["Fecha_Cancelacion"];
				$respuesta->rfcEmisor = $row["RFC_Emisor"];
				$respuesta->tipoSistema = $row["TipoSistema"];
				$respuesta->estado = $row["estado"];
				$respuesta->factura_pdf = "../../test_soap/". $row["URL_PDF"];
				$respuesta->factura_xml = "../../test_soap/". $row["URL_XML"];
			
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;

		case 'consultarEstadoCuenta':

				$pNidFactura = -1;
				$pEstadoFactura = filter_input(INPUT_POST, 'pEstadoFactura');
				$pTipoSistema = filter_input(INPUT_POST, 'pTipoSistema');
				$pRfcReceptor = filter_input(INPUT_POST, 'pRfcReceptor');
				$pFechaInicio = filter_input(INPUT_POST, 'pFechaInicio');
				$pFechaFin = filter_input(INPUT_POST, 'pFechaFin');
							
				// get settings
				$stmt = $conn->prepare("call ReporteFacturasEdoCuenta($pNidFactura,$pEstadoFactura,$pTipoSistema,'$pRfcReceptor','$pFechaInicio','$pFechaFin')");
				$stmt->execute();
	
				$response = new root_response;
				while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
				{ 
					$respuesta = new estadoCuenta();
					$respuesta->idFactura = $row["IdFactura"];
					$respuesta->tipoSistema = $row["TipoSistema"];
					$respuesta->folio = $row["FolioTimbrado"];
					$respuesta->serie = $row["Serie"];
					$respuesta->rfcReceptor = $row["RFC_Receptor"];
					$respuesta->receptor = $row["Razon_Social_Receptor"];
					$respuesta->fechaEmision = $row["FechaEmision"];
					$respuesta->concepto = $row["Concepto"];
					$respuesta->subtotal = $row["Subtotal"];
					$respuesta->descuento = $row["Descuento"];
					$respuesta->iva = $row["IVA"];
					$respuesta->total = $row["Total"];
				
					$response->datos[] = $respuesta;				
				};
							
				$response->transaccion = "1";
				$response->mensaje = "Ok";
				
				echo json_encode($response);
				
				break;
		
			
		default:
			echo json_encode(system_get_message(SISTEMA_PARAMETRO_NO_RECONOCIDO));
			break;
	}
        
?>
